storable-tuple-0.1: Storable instance for pairs and triples

Safe Haskell | Safe-Inferred
Language | Haskell98

Foreign.Storable.Tuple

Contents

- Orphan instances

# Orphan instances

(Storable a, Storable b) => Storable (a, b) Source # |

Instance details

Methods

sizeOf :: (a, b) -> Int Source #

alignment :: (a, b) -> Int Source #

peekElemOff :: Ptr (a, b) -> Int -> IO (a, b) Source #

pokeElemOff :: Ptr (a, b) -> Int -> (a, b) -> IO () Source #

peekByteOff :: Ptr b0 -> Int -> IO (a, b) Source #

pokeByteOff :: Ptr b0 -> Int -> (a, b) -> IO () Source #

peek :: Ptr (a, b) -> IO (a, b) Source #

poke :: Ptr (a, b) -> (a, b) -> IO () Source #

(Storable a, Storable b, Storable c) => Storable (a, b, c) Source # |

Instance details

Methods

sizeOf :: (a, b, c) -> Int Source #

alignment :: (a, b, c) -> Int Source #

peekElemOff :: Ptr (a, b, c) -> Int -> IO (a, b, c) Source #

pokeElemOff :: Ptr (a, b, c) -> Int -> (a, b, c) -> IO () Source #

peekByteOff :: Ptr b0 -> Int -> IO (a, b, c) Source #

pokeByteOff :: Ptr b0 -> Int -> (a, b, c) -> IO () Source #

peek :: Ptr (a, b, c) -> IO (a, b, c) Source #

poke :: Ptr (a, b, c) -> (a, b, c) -> IO () Source #

(Storable a, Storable b, Storable c, Storable d) => Storable (a, b, c, d) Source # |

Instance details

Methods

sizeOf :: (a, b, c, d) -> Int Source #

alignment :: (a, b, c, d) -> Int Source #

peekElemOff :: Ptr (a, b, c, d) -> Int -> IO (a, b, c, d) Source #

pokeElemOff :: Ptr (a, b, c, d) -> Int -> (a, b, c, d) -> IO () Source #

peekByteOff :: Ptr b0 -> Int -> IO (a, b, c, d) Source #

pokeByteOff :: Ptr b0 -> Int -> (a, b, c, d) -> IO () Source #

peek :: Ptr (a, b, c, d) -> IO (a, b, c, d) Source #

poke :: Ptr (a, b, c, d) -> (a, b, c, d) -> IO () Source #